cd C:/School/Project/MPSoC/Processors
xload new Processors.xmp
xset arch virtex2p
xset dev xc2vp30
xset package ff896
xset speedgrade -7
set xpsArch [xget arch]
if { $xpsArch != "virtex2p" } {
   puts "Device Family setting in XPS ($xpsArch) does not match Device Family setting in ISE (virtex2p)"
   exit -1
}
set xpsDev [xget dev]
if { $xpsDev != "xc2vp30" } {
   puts "Device setting in XPS ($xpsDev) does not match Device setting in ISE (xc2vp30)"
   exit -1
}
set xpsPkg [xget package]
if { $xpsPkg != "ff896" } {
   puts "Package setting in XPS ($xpsPkg) does not match Package setting in ISE (ff896)"
   exit -1
}
set xpsSpd [xget speedgrade]
if { $xpsSpd != "-7" } {
   puts "Speed Grade setting in XPS ($xpsSpd) does not match Speed Grade setting in ISE (-7)"
   exit -1
}
xset hier sub
xset topinst Processors_i
#default language
xset hdl vhdl
xset pnproj nplfile
xset intstyle ise
save proj
exit
